• Auteur: Root
  • Datum: 6-05-2019

Per 30 april 2019 is de support op Ubuntu 14.04 systemen verlopen en zullen deze dus geen security updates meer ontvangen. Ontdek wat u hieraan kunt doen of wat wij voor u kunnen doen!

Per 30 april 2019 is de support op Ubuntu 14.04 systemen verlopen en zullen deze dus geen security updates meer ontvangen. Ook zal het met de standaard ingestelde repository sources niet meer mogelijk zijn nieuwe software te installeren, tenzij deze handmatig aangepast worden.

Wat zijn je opties als je tegen het einde van de support tijd loopt bij Ubuntu?

  • Upgrade de server naar een volgende versie. Ubuntu 14.04 kan een upgrade krijgen naar versie 16.04.
  • Vervang de server voor een server met de nieuwste Ubuntu 18.04 release, zet de bestanden en/of software over en verwijder de oude Ubuntu 14.04 server.
  • Maak gebruik van de commerciële Ubuntu ESM (Extended Security Maintenance) om de Ubuntu 14.04 server nog tot april 2022 te kunnen blijven gebruiken met behoud van critical security updates.

Welke optie is het meest geschikt?

Dat ligt eraan. Sterk afhankelijk van de geïnstalleerde functies kan een upgrade of een vervanging een goede keuze zijn.

Voorbeeld

Een Apache webserver met meerdere websites: Aangezien Ubuntu 14.04 standaard werd geleverd met een PHP5.5 versie en de volgende release PHP7.0 bevat, zullen de websites na een update waarschijnlijk niet meer werken. Hoewel de meeste populaire CMS’en de nieuwste PHP versies ondersteunen, zullen veel websites voorzien zijn van maatwerk templates en plugins die nog niet geschikt gemaakt zijn voor gebruik van de laatste PHP versies. De kans dat meerder websites niet meer (goed) zullen werken na de upgrade is groot en kan downtime opleveren totdat een webbouwer de php code aangepast heeft. Dit scenario is absoluut niet wenselijk, daarom zal in dit geval gekozen worden om de server te vervangen door de allernieuwste Ubuntu LTS versie die voor de komende jaren support biedt. De websites kunnen eenvoudig één voor één overgezet worden waarbij de sites op de oude server actief blijven totdat de problemen zijn opgelost en de websites goed zijn getest.

Een fileserver met ftp, samba en/of nfs: Niemand zit erop te wachten om honderden GB’s of misschien zelfs TB’s over te moeten zetten naar een andere server als dat vermeden kan worden. In het geval dat de fileserver een vps (Virtual Private Server) is, kan een upgrade naar de volgende LTS versie zonder al te veel problemen en downtime uitgevoerd worden. Als de fileserver uit hardware bestaat, zal er bekeken moeten worden of deze nog garantie heeft of dat de garantie nog voor een aantal jaren uitgebreid kan worden.

Een applicatie server met op maat gemaakte software: Voor ontwikkelaars die hun applicatie van de grond af moeten opbouwen kan de 5-jaarlijkse cyclus van vervangen en aanpassen misschien niet haalbaar zijn. Ubuntu biedt de gelegenheid om de support periode van Ubuntu 14.04 met maximaal 5 jaar te verlengen middels ESM (Extended Security Maintenance). Dit geeft software ontwikkelaars meer tijd om hun applicatie geschikt te maken voor de volgende Ubuntu LTS release. Aangezien dit een commerciële oplossing is van Ubuntu Advantage, zal hier per jaar een bedrag voor moeten worden betaald.

Plan de upgrade op tijd

Klanten van Root zijn ruim op tijd op de hoogte gesteld van het verlopen van de support op hun Ubuntu 14.04 LTS servers en in de meeste gevallen is ook tijdig de upgrade of vervanging ingezet.

Heeft u hulp nodig bij het upgraden van Ubuntu 14.04 servers? Root wil u graag helpen bij het plannen en uitvoeren hiervan. Neem hiervoor contact met ons op!

Neem contact op met
een van onze specialisten